> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a monitor

> Read one monitor’s status, fit rate, and series.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /monitors/{monitor_id}
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /monitors/{monitor_id}:
    get:
      tags:
        - Monitors
      summary: Read a monitor
      description: Read one monitor’s status, fit rate, and series.
      operationId: get_monitor_detail
      parameters:
        - name: monitor_id
          in: path
          required: true
          description: Monitor ID.
          schema:
            type: string
      responses:
        '200':
          description: Monitor detail
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  agent_name:
                    type: string
                  kind:
                    type: string
                    enum:
                      - signal
                      - tool
                  name:
                    type: string
                  exploration_status:
                    type: string
                    enum:
                      - learning
                      - backfilling
                      - ready
                      - failed
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  trace_phrasing:
                    type:
                      - string
                      - 'null'
                  issue_phrasing:
                    type:
                      - string
                      - 'null'
                  rate:
                    type:
                      - number
                      - 'null'
                  fit_count:
                    type: integer
                    minimum: 0
                  traces_seen:
                    type: integer
                    minimum: 0
                  series:
                    type: array
                    items:
                      type: object
                      properties:
                        bucket:
                          type: string
                        traces_seen:
                          type: integer
                          minimum: 0
                        fit_count:
                          type: integer
                          minimum: 0
                        occurrence_count:
                          type: integer
                          minimum: 0
                        rate:
                          type:
                            - number
                            - 'null'
                      required:
                        - bucket
                        - traces_seen
                        - fit_count
                        - occurrence_count
                        - rate
                      additionalProperties: false
                  recalibrating:
                    type: boolean
                  suggestions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        target:
                          type: string
                          enum:
                            - trace_phrasing
                            - issue_phrasing
                        proposed_text:
                          type: string
                        created_at:
                          type: string
                          format: date-time
                      required:
                        - id
                        - target
                        - proposed_text
                        - created_at
                      additionalProperties: false
                  feedback_consumed_through:
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - agent_name
                  - kind
                  - name
                  - exploration_status
                  - created_at
                  - updated_at
                  - trace_phrasing
                  - issue_phrasing
                  - rate
                  - fit_count
                  - traces_seen
                  - series
                  - recalibrating
                  - suggestions
                  - feedback_consumed_through
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.